Page MenuHomePhabricator

Getting error while uploading image with the upload dialog (timeout)
Closed, DuplicatePublic

Description

  1. Log in to Beta Cluster
  2. Open Visual Editor on a page by clicking on "Edit"
  3. On the toolbar click on insert
  4. Click on media
  5. On the media settings choose upload
  6. Choose a file from your hard disk
  7. Click on the checkbox that tells you to agree to Terms of Use
  8. Click Upload

Observation: Dialog displaying error message pops up saying "Unknown error: "{"xhr":{"readyState":0,"status":0,"statusText":"timeout"},"textStatus":"timeout","exception":"timeout"}" with a dismiss button below it.

Event Timeline

Tanveer07 created this task.Aug 1 2016, 9:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 1 2016, 9:18 PM
Ryasmeen renamed this task from Getting error while uploading image to Getting error while uploading image with VisualEditor.Aug 1 2016, 9:20 PM
Ryasmeen updated the task description. (Show Details)
greg added a subscriber: greg.Aug 1 2016, 10:17 PM

I was trying to find the whole error message (it looks cutoff in your screenshot) but I couldn't reproduce: http://en.wikipedia.beta.wmflabs.org/w/index.php?diff=343900&oldid=94296

Tanveer07 updated the task description. (Show Details)Aug 1 2016, 10:55 PM

I would like to add that I am still being able to reproduce this bug even though my network connection seems fine.

greg added a comment.Aug 19 2016, 10:20 PM

I would like to add that I am still being able to reproduce this bug even though my network connection seems fine.

Thanks.

See the task which this one was made a duplicate of for any other updates: T132611

(iow: this one is closed and all future comments should be at the other one.)

matmarex renamed this task from Getting error while uploading image with VisualEditor to Getting error while uploading image with the upload dialog (timeout).Sep 14 2016, 5:42 PM
matmarex reopened this task as Open.
matmarex triaged this task as Medium priority.
Restricted Application added a project: Multimedia. · View Herald TranscriptSep 14 2016, 5:42 PM

I've been looking into T132611 today a bit and this is actually a different issue.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 14 2016, 5:43 PM

Change 310595 had a related patch set uploaded (by Bartosz Dziewoński):
mw.api.upload: Suppress default API call timeout

https://gerrit.wikimedia.org/r/310595